Psidtopgm User Manual(0)

NAME
psidtopgm - convert PostScript "image" data to a PGM image

SYNOPSIS
psidtopgm width height bits/sample [imagedata]

DESCRIPTION

This program is part of Netpbm(1) .

psidtopgm reads the "image" data from a PostScript file as input and produces a PGM image as output.

This program is obsoleted by pstopnm. What follows was written before pstopnm existed.

This is a very simple and limited program, and is here only because so many people have asked for it. To use it you have to manually extract the readhexstring data portion from your PostScript file, and then give the width, height, and bits/sample on the command line. Before you attempt this, you should at least read the description of the "image" operator in the PostScript Language Reference Manual.

It would probably not be too hard to write a script that uses this filter to read a specific variety of PostScript image, but the variation is too great to make a general-purpose reader. Unless, of course, you want to write a full-fledged PostScript interpreter...

OPTIONS

There are no command line options defined specifically for psidtopgm, but it recognizes the options common to all programs based on libnetpbm (See
 Common Options index.html#commonoptions .)

SEE ALSO
pnmtops(1) , pgm(1)

AUTHOR
Copyright (C) 1989 by Jef Poskanzer.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/psidtopgm.html